devel/ruby-console - The NetBSD Packages Collection

Beautiful logging for Ruby

Console

Provides beautiful console logging for Ruby applications.  Implements fast,
buffered log output.

Motivation

When Ruby decided to reverse the order of exception backtraces, I finally
gave up using the built in logging and decided restore sanity to the output
of my programs once and for all!

Features

* Thread safe global logger with per-fiber context.
* Carry along context with nested loggers.
* Enable/disable log levels per-class.
* Detailed logging of exceptions.
* Beautiful logging to the terminal or structured logging using JSON.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/ruby-fiber-local devel/ruby-fiber-annotation lang/ruby31-base

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ruby31-console-1.23.2.tgz
NetBSD 10.0aarch64ruby32-console-1.23.2.tgz
NetBSD 10.0aarch64ruby31-console-1.17.2.tgz
NetBSD 10.0aarch64ruby32-console-1.17.2.tgz
NetBSD 10.0aarch64ebruby31-console-1.23.2.tgz
NetBSD 10.0aarch64ebruby32-console-1.23.2.tgz
NetBSD 10.0earmv6hfruby31-console-1.17.2.tgz
NetBSD 10.0earmv6hfruby32-console-1.17.2.tgz
NetBSD 10.0earmv6hfruby31-console-1.23.2.tgz
NetBSD 10.0earmv6hfruby32-console-1.23.2.tgz
NetBSD 10.0earmv7hfruby31-console-1.23.2.tgz
NetBSD 10.0earmv7hfruby32-console-1.23.2.tgz
NetBSD 10.0earmv7hfruby31-console-1.17.2.tgz
NetBSD 10.0earmv7hfruby32-console-1.17.2.tgz
NetBSD 10.0i386ruby31-console-1.23.2.tgz
NetBSD 10.0i386ruby32-console-1.23.2.tgz
NetBSD 10.0vaxruby32-console-1.23.2.tgz
NetBSD 10.0_BETAx86_64ruby31-console-1.23.2.tgz
NetBSD 10.0_BETAx86_64ruby32-console-1.23.2.tgz
NetBSD 8.0i386ruby31-console-1.23.2.tgz
NetBSD 8.0i386ruby32-console-1.23.2.tgz
NetBSD 8.0i386ruby27-console-1.16.2.tgz
NetBSD 8.0i386ruby30-console-1.16.2.tgz
NetBSD 8.0i386ruby31-console-1.16.2.tgz
NetBSD 8.0i386ruby32-console-1.16.2.tgz
NetBSD 8.0i386ruby30-console-1.17.2.tgz
NetBSD 8.0i386ruby31-console-1.17.2.tgz
NetBSD 8.0i386ruby32-console-1.17.2.tgz
NetBSD 8.0powerpcruby27-console-1.16.2.tgz
NetBSD 8.0powerpcruby30-console-1.16.2.tgz
NetBSD 8.0powerpcruby31-console-1.16.2.tgz
NetBSD 8.0x86_64ruby31-console-1.23.2.tgz
NetBSD 8.0x86_64ruby32-console-1.23.2.tgz
NetBSD 8.0x86_64ruby27-console-1.16.2.tgz
NetBSD 8.0x86_64ruby30-console-1.16.2.tgz
NetBSD 8.0x86_64ruby31-console-1.16.2.tgz
NetBSD 8.0x86_64ruby32-console-1.16.2.tgz
NetBSD 8.0x86_64ruby30-console-1.17.2.tgz
NetBSD 8.0x86_64ruby31-console-1.17.2.tgz
NetBSD 8.0x86_64ruby32-console-1.17.2.tgz
NetBSD 9.0aarch64ruby31-console-1.23.2.tgz
NetBSD 9.0aarch64ruby32-console-1.23.2.tgz
NetBSD 9.0aarch64ruby27-console-1.16.2.tgz
NetBSD 9.0aarch64ruby30-console-1.16.2.tgz
NetBSD 9.0aarch64ruby31-console-1.16.2.tgz
NetBSD 9.0aarch64ruby32-console-1.16.2.tgz
NetBSD 9.0aarch64ruby30-console-1.17.2.tgz
NetBSD 9.0aarch64ruby31-console-1.17.2.tgz
NetBSD 9.0aarch64ruby32-console-1.17.2.tgz
NetBSD 9.0alpharuby27-console-1.16.2.tgz
NetBSD 9.0alpharuby30-console-1.16.2.tgz
NetBSD 9.0alpharuby31-console-1.16.2.tgz
NetBSD 9.0earmruby31-console-1.16.2.tgz
NetBSD 9.0earmv4ruby31-console-1.16.2.tgz
NetBSD 9.0earmv6hfruby31-console-1.23.2.tgz
NetBSD 9.0earmv6hfruby32-console-1.23.2.tgz
NetBSD 9.0earmv6hfruby27-console-1.16.2.tgz
NetBSD 9.0earmv6hfruby30-console-1.16.2.tgz
NetBSD 9.0earmv6hfruby31-console-1.16.2.tgz
NetBSD 9.0earmv6hfruby32-console-1.16.2.tgz
NetBSD 9.0earmv6hfruby30-console-1.17.2.tgz
NetBSD 9.0earmv6hfruby31-console-1.17.2.tgz
NetBSD 9.0earmv6hfruby32-console-1.17.2.tgz
NetBSD 9.0earmv7hfruby31-console-1.23.2.tgz
NetBSD 9.0earmv7hfruby32-console-1.23.2.tgz
NetBSD 9.0earmv7hfruby27-console-1.16.2.tgz
NetBSD 9.0earmv7hfruby30-console-1.16.2.tgz
NetBSD 9.0earmv7hfruby31-console-1.16.2.tgz
NetBSD 9.0earmv7hfruby32-console-1.16.2.tgz
NetBSD 9.0earmv7hfruby30-console-1.17.2.tgz
NetBSD 9.0earmv7hfruby31-console-1.17.2.tgz
NetBSD 9.0earmv7hfruby32-console-1.17.2.tgz
NetBSD 9.0i386ruby31-console-1.23.2.tgz
NetBSD 9.0i386ruby32-console-1.23.2.tgz
NetBSD 9.0i386ruby27-console-1.16.2.tgz
NetBSD 9.0i386ruby30-console-1.16.2.tgz
NetBSD 9.0i386ruby31-console-1.16.2.tgz
NetBSD 9.0i386ruby32-console-1.16.2.tgz
NetBSD 9.0i386ruby30-console-1.17.2.tgz
NetBSD 9.0i386ruby31-console-1.17.2.tgz
NetBSD 9.0i386ruby32-console-1.17.2.tgz
NetBSD 9.0mips64ebruby31-console-1.16.2.tgz
NetBSD 9.0mipselruby31-console-1.16.2.tgz
NetBSD 9.0powerpcruby31-console-1.23.2.tgz
NetBSD 9.0powerpcruby32-console-1.23.2.tgz
NetBSD 9.0powerpcruby27-console-1.16.2.tgz
NetBSD 9.0powerpcruby30-console-1.16.2.tgz
NetBSD 9.0powerpcruby31-console-1.16.2.tgz
NetBSD 9.0powerpcruby32-console-1.16.2.tgz
NetBSD 9.0powerpcruby30-console-1.17.2.tgz
NetBSD 9.0powerpcruby31-console-1.17.2.tgz
NetBSD 9.0powerpcruby32-console-1.17.2.tgz
NetBSD 9.0sparc64ruby27-console-1.16.2.tgz
NetBSD 9.0sparc64ruby30-console-1.16.2.tgz
NetBSD 9.0sparc64ruby31-console-1.16.2.tgz
NetBSD 9.0sparc64ruby32-console-1.16.2.tgz
NetBSD 9.0sparcruby31-console-1.16.2.tgz
NetBSD 9.0sparcruby31-console-1.23.2.tgz
NetBSD 9.0sparcruby32-console-1.23.2.tgz
NetBSD 9.0vaxruby30-console-1.16.2.tgz
NetBSD 9.0x86_64ruby31-console-1.23.2.tgz
NetBSD 9.0x86_64ruby32-console-1.23.2.tgz
NetBSD 9.0x86_64ruby27-console-1.16.2.tgz
NetBSD 9.0x86_64ruby30-console-1.16.2.tgz
NetBSD 9.0x86_64ruby31-console-1.16.2.tgz
NetBSD 9.0x86_64ruby32-console-1.16.2.tgz
NetBSD 9.0x86_64ruby30-console-1.17.2.tgz
NetBSD 9.0x86_64ruby31-console-1.17.2.tgz
NetBSD 9.0x86_64ruby32-console-1.17.2.tgz
NetBSD 9.3x86_64ruby30-console-1.23.1.tgz
NetBSD 9.3x86_64ruby31-console-1.23.1.tgz
NetBSD 9.3x86_64ruby32-console-1.23.1.tgz
NetBSD 9.3x86_64ruby30-console-1.17.2.tgz
NetBSD 9.3x86_64ruby31-console-1.17.2.tgz
NetBSD 9.3x86_64ruby32-console-1.17.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.